Package org.bukkit

# Enum Class TreeSpecies

java.lang.Object
java.lang.Enum<TreeSpecies>
org.bukkit.TreeSpecies

All Implemented Interfaces:
  `Serializable`, `Comparable<TreeSpecies>`, `Constable`

@Deprecated public enum TreeSpecies extends Enum<TreeSpecies>
Deprecated.
Deprecated, see usage methods for replacement(s)
Represents the different species of trees regardless of size.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACACIA`
Deprecated.
Represents acacia trees.
`BIRCH`
Deprecated.
Represents birches.
`DARK_OAK`
Deprecated.
Represents dark oak trees.
`GENERIC`
Deprecated.
Represents the common tree species.
`JUNGLE`
Deprecated.
Represents jungle trees.
`REDWOOD`
Deprecated.
Represents the darker barked/leaved tree species.

## Method Summary

Modifier and Type
Method
Description
`static @Nullable TreeSpecies`
`getByData(byte data)`
Deprecated.
Magic value
`byte`
`getData()`
Deprecated.
Magic value
`static TreeSpecies`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static TreeSpecies[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GENERIC

public static final TreeSpecies GENERIC
Deprecated.
Represents the common tree species.

### REDWOOD

public static final TreeSpecies REDWOOD
Deprecated.
Represents the darker barked/leaved tree species.

### BIRCH

public static final TreeSpecies BIRCH
Deprecated.
Represents birches.

### JUNGLE

public static final TreeSpecies JUNGLE
Deprecated.
Represents jungle trees.

### ACACIA

public static final TreeSpecies ACACIA
Deprecated.
Represents acacia trees.

### DARK_OAK

public static final TreeSpecies DARK_OAK
Deprecated.
Represents dark oak trees.

## Method Details

### values

public static TreeSpecies[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TreeSpecies valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getData

@Deprecated public byte getData()
Deprecated.
Magic value
Gets the associated data value representing this species

Returns:
  A byte containing the data value of this tree species

### getByData

@Deprecated @Nullable public static @Nullable TreeSpecies getByData(byte data)
Deprecated.
Magic value
Gets the TreeSpecies with the given data value

Parameters:
  `data` - Data value to fetch
Returns:
  The `TreeSpecies` representing the given value, or null if it doesn't exist